#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>
#import "BuiltInDeviceView.h"

@interface BuiltInDeviceController : NSWindowController {
	IBOutlet BuiltInDeviceView  *aView;
	IBOutlet NSView             *iChatView;
	IBOutlet NSSplitView        *splitView;
	IBOutlet NSView             *drawingView;
	IBOutlet IKImageBrowserView *browserView;

	IBOutlet NSButton           *iChatButton;
	IBOutlet NSButton           *sidebarButton;

	IBOutlet NSSegmentedControl *drawingButton;
	
	NSToolbar *toolbar;
	
}

- (IBAction)toggleTheaterConnection:(id)sender;
- (IBAction)toggleBrowser:(id)sender;
- (IBAction)toggleSidebar:(id)sender;
- (IBAction)drawingToolSelected:(id)sender;

- (void)setDeviceDescription:(void*)aDesc;

@end
